---@meta

---@class UWG_PopupGeneric_C : URGActivatableWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Text UCommonRichTextBlock
---@field Overlay_93 UOverlay
---@field CancelButton UWG_PopupButton_C
---@field AcceptButton UWG_PopupButton_C
---@field PopupText FText
---@field OnAccepted FWG_PopupGeneric_COnAccepted
local UWG_PopupGeneric_C = {}

---@return boolean
function UWG_PopupGeneric_C:BP_OnHandleBackAction() end
---@return UWidget
function UWG_PopupGeneric_C:BP_GetDesiredFocusTarget() end
---@param IsDesignTime boolean
function UWG_PopupGeneric_C:PreConstruct(IsDesignTime) end
function UWG_PopupGeneric_C:Construct() end
function UWG_PopupGeneric_C:BP_OnActivated() end
function UWG_PopupGeneric_C:BP_OnDeactivated() end
---@param Button UCommonButtonBase
function UWG_PopupGeneric_C:BndEvt__WG_PopupGeneric_AcceptButton_K2Node_ComponentBoundEvent_0_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param Button UCommonButtonBase
function UWG_PopupGeneric_C:BndEvt__WG_PopupGeneric_CancelButton_K2Node_ComponentBoundEvent_1_CommonButtonBaseClicked__DelegateSignature(Button) end
---@param EntryPoint int32
function UWG_PopupGeneric_C:ExecuteUbergraph_WG_PopupGeneric(EntryPoint) end
function UWG_PopupGeneric_C:OnAccepted__DelegateSignature() end


